## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global         srcname     jsondiff

Name:           python-%{srcname}
Version:        1.3.0
Release:        %autorelease
Summary:        Diff JSON and JSON-like structures in Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %pypi_source

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%global _description %{expand:
Diff JSON and JSON-like structures in Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install

# Remove the jsondiff binary to avoid conflict with python-jsonpatch.
# See BZ 1967775 for more details.
rm -f %{buildroot}%{_bindir}/%{srcname}

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info
%{_bindir}/jdiff


%changelog
* Wed Dec 08 2021 Major Hayden <major@redhat.com> 1.3.0-4
- Remove jsondiff binary (See BZ 1967775)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 08 2021 Major Hayden <major@mhtx.net> 1.3.0-2
- Add setuptools to BuildRequires

* Tue Jun 08 2021 Major Hayden <major@mhtx.net> 1.3.0-1
- Initial import (#1967775)
